<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="AKUZ" 
Name="IPRA2_RHB_DICT" 
Description="Справочник мероприятий ИПРА" 
PrimaryKey="Ipra2RhbDictID" 
DNAttributes="{ShortName}" 
DisplayName="{0}" 
IsTree="1">
  <Fields>
    <Attribute Name="Ipra2RhbDictID" Type="guid" Description="Идентификатор" />
    <Attribute Name="Code" Type="int" Description="Код" Required="1" />
    <Attribute Name="DispName" Type="string" Description="Отображаемое имя" CharacterMaximumLength="512" Required="1" />
    <Attribute Name="Ord" Type="int" Description="Порядок" />
    <Attribute Name="ShortName" Type="string" Description="Краткое наименование" CharacterMaximumLength="512" Required="1" />
    <Attribute Name="FullName" Type="string" Description="Полное наименование" CharacterMaximumLength="512" Required="1" />
    <Attribute Name="Hint" Type="string" Description="Подсказка" CharacterMaximumLength="512" Required="1" />
    <Attribute Name="ParentCode" Type="int" Description="Код родительской записи" />
    <Attribute Name="NestingLevel" Type="int" Description="Уровень вложенности" />
    <Attribute Name="MayHaveChildRefRec" Type="bool" Description="Может иметь дочерние несправочные записи" Required="1" />
    <Attribute Name="BeginDate" Type="date" Description="Действует с" Required="1" />
    <Attribute Name="EndDate" Type="date" Description="Действует по" />
    <Attribute Name="UpdateDate" Type="date" Description="Дата изменения" />
    <Attribute Name="CreateDateTime" Type="datetime" Description="Дата и время создания" Required="1" />
    <Attribute Name="ID" Type="int" Description="Идентификатор из справочника" Required="1" />
    <Parent Name="ParentID" Type="AKUZ.IPRA2_RHB_DICT" Description="Родительская категория" />
    <Child Name="Children" Type="AKUZ.IPRA2_RHB_DICT" Description="Дочерние категории" ChildAttribute="ParentID" />
    <Attribute Name="LeftIndex" Type="int" Description="Левый индекс" />
    <Attribute Name="RightIndex" Type="int" Description="Правый индекс" />
    <Attribute Name="TreeLevel" Type="int" Description="Уровень дерева" />
  </Fields>
  <DbMapping>
    <Table name="T_IPRA2_RHB_DICT">
      <Map Name="Ipra2RhbDictID" Column="Ipra2RhbDictID" />
      <Map Name="Code" Column="Code" />
      <Map Name="DispName" Column="DispName" />
      <Map Name="Ord" Column="Ord" />
      <Map Name="ShortName" Column="ShortName" />
      <Map Name="FullName" Column="FullName" />
      <Map Name="Hint" Column="Hint" />
      <Map Name="ParentCode" Column="ParentCode" />
      <Map Name="NestingLevel" Column="NestingLevel" />
      <Map Name="MayHaveChildRefRec" Column="MayHaveChildRefRec" />
      <Map Name="BeginDate" Column="BeginDate" />
      <Map Name="EndDate" Column="EndDate" />
      <Map Name="UpdateDate" Column="UpdateDate" />
      <Map Name="CreateDateTime" Column="CreateDateTime" />
      <Map Name="ID" Column="ID" />
      <Map Name="ParentID" Column="ParentID" />
      <Map Name="LeftIndex" Column="LeftIndex" />
      <Map Name="RightIndex" Column="RightIndex" />
      <Map Name="TreeLevel" Column="TreeLevel" />
    </Table>
  </DbMapping>
</Entity>